%global rosdistro fuerte
%global stackname rx

Name:           ros-%{rosdistro}-%{stackname}
Version:        1.8.9
Release:        2%{?dist}
Summary:        GUI tools for ROS

License:        BSD
URL:            http://ros.org/wiki/rx
# svn export http://code.ros.org/svn/ros/stacks/rx/tags/rx-1.8.9 rx-1.8.9
# tar cjf rx-1.8.9.tar.bz2 rx-1.8.9/
Source0:        rx-%{version}.tar.bz2
Provides:       ros-%{stackname} = %{version}-%{release}

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  graphviz
BuildRequires:  gtest-devel
BuildRequires:  log4cxx-devel
BuildRequires:  python-devel
BuildRequires:  python-matplotlib-wx
BuildRequires:  swig
BuildRequires:  wxPython-devel
BuildRequires:  ros-%{rosdistro}-catkin-devel
BuildRequires:  ros-%{rosdistro}-ros-devel
BuildRequires:  ros-%{rosdistro}-roscpp-core-devel
BuildRequires:  ros-%{rosdistro}-ros-comm-devel
BuildRequires:  ros-%{rosdistro}-rospack-devel
BuildRequires:  ros-%{rosdistro}-std-msgs-devel

%description
The rx stack contains GUI-related tools for using ROS, including:
    rxbag: ROS bag recording, playback and visualization
    rxgraph: ROS graph visualization
    rxplot: ROS topic data visualization
    rxconsole: ROS/rosout logging output
 
%package devel
Requires: %{name}%{?_isa} = %{version}-%{release}
Provides: ros-%{stackname}-devel = %{version}-%{release}
Summary:  Development files for %{name}

%description devel
%{summary}.

%prep
%setup -q -n %{stackname}-%{version}

%build
source /opt/ros/%{rosdistro}/setup.sh
mkdir build
pushd build
%cmake -DCMAKE_INSTALL_PREFIX=/opt/ros/%{rosdistro} -DSETUPTOOLS_DEB_LAYOUT=OFF ..
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT

%files
/opt/ros/%{rosdistro}/bin/*
/opt/ros/%{rosdistro}/lib/*.so
%exclude /opt/ros/%{rosdistro}/share/*/cmake/
/opt/ros/%{rosdistro}/share/%{stackname}
/opt/ros/%{rosdistro}/share/rxbag
/opt/ros/%{rosdistro}/share/rxgraph
/opt/ros/%{rosdistro}/share/rxtools
/opt/ros/%{rosdistro}/share/wxpython_swig_interface
/opt/ros/%{rosdistro}/share/wxPython_swig_interface
/opt/ros/%{rosdistro}/share/xdot
/opt/ros/%{rosdistro}/lib/python?.?/site-packages/*

%files devel
/opt/ros/%{rosdistro}/lib/pkgconfig/*.pc
/opt/ros/%{rosdistro}/share/*/cmake/

%changelog
* Tue Mar 19 2013 Rich Mattes <richmattes@gmail.com> - 1.8.9-2
- Rebuild for new copr

* Mon Jan 14 2013 Rich Mattes <richmattes@gmail.com> - 1.8.9-1
- Initial fuerte package

